CVE 목록 조회

CVE 취약점 목록을 조회합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/cves
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/cves?offset=0&limit=20&min_score=7&max_score=9
요청 매개변수
필수타입설명비고
offsetX32비트 정수건너뛸 갯수기본값 0
limitX32비트 정수최대 갯수최소 0, 최대 1000. 미지정 시 20
keywordsX문자열검색 키워드id, description 대상으로 검색
min_scoreX64비트 실수최저 CVSS 점수0~10 사이의 값
max_scoreX64비트 실수최대 CVSS 점수0~10 사이의 값

정상 응답

{
  "total_count": 282761,
  "cves": [
    {
      "id": "CVE-2012-1419",
      "status": "Deferred",
      "description": "The TAR file parser in ClamAV 0.96.4 and Quick Heal (aka Cat QuickHeal) 11.00 allows remote attackers to bypass malware detection via a POSIX TAR file with an initial [aliases] character sequence. NOTE: this may later be SPLIT into multiple CVEs if additional information is published showing that the error occurred independently in different TAR parser implementations.",
      "source": "MITRE",
      "published": "2012-03-21 10:11:47+0900",
      "updated": "2025-04-11 00:51:21+0900",
      "cvss": [
        {
          "version": "2.0",
          "score": 4.3,
          "exploitability_score": 8.6,
          "impact_score": 2.9,
          "vector": "AV:N/AC:M/Au:N/C:N/I:P/A:N",
          "severity": "MEDIUM",
          "source": "NIST"
        }
      ]
    }
  ]
}

오류 응답

offset, limit 값이 정수가 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset, limit 값이 음수인 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
limit 값이 최댓값을 초과한 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be less than or equal to 1000."
}